package org.gcube.infrastructure.detachedres.detachedreslibrary.server.is.obj;

import java.util.ArrayList;
import java.util.Calendar;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Giancarlo Panichi
 *
 *
 */
@XmlRootElement(name = "vo")
@XmlAccessorType(XmlAccessType.FIELD)
public class VOJAXB {
	@XmlElement
	private String scope;

	@XmlElement
	private String name;

	@XmlElement(name = "description", required = false)
	private String description;

	@XmlElementWrapper(name = "vres", required = false)
	@XmlElement(name = "vre", required = false)
	private ArrayList<VREJAXB> vres;
	
	@XmlElement(name = "startdate", required = false)
	private Calendar startDate;

	@XmlElement(name = "enddate", required = false)
	private Calendar endDate;

	@XmlElement(name = "catalogurl", required = false)
	private String catalogUrl;
	

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public ArrayList<VREJAXB> getVres() {
		return vres;
	}

	public void setVres(ArrayList<VREJAXB> vres) {
		this.vres = vres;
	}

	public Calendar getStartDate() {
		return startDate;
	}

	public void setStartDate(Calendar startDate) {
		this.startDate = startDate;
	}

	public Calendar getEndDate() {
		return endDate;
	}

	public void setEndDate(Calendar endDate) {
		this.endDate = endDate;
	}

	public String getCatalogUrl() {
		return catalogUrl;
	}

	public void setCatalogUrl(String catalogUrl) {
		this.catalogUrl = catalogUrl;
	}

	@Override
	public String toString() {
		return "VOJAXB [scope=" + scope + ", name=" + name + ", description=" + description + ", vres=" + vres
				+ ", startDate=" + startDate + ", endDate=" + endDate + ", catalogUrl=" + catalogUrl + "]";
	}


}
