package org.gcube.infrastructure.detachedres.detachedreslibrary.shared.re;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * 
 * @author Giancarlo Panichi
 *
 */
public class DetachedREs implements Serializable {

	private static final long serialVersionUID = 2238683459962419017L;
	private boolean enabled;
	private ArrayList<Gateway> gateways;

	public DetachedREs() {
		super();
	}

	public DetachedREs(boolean enabled, ArrayList<Gateway> gateways) {
		super();
		this.enabled = enabled;
		this.gateways = gateways;
	}

	public boolean isEnabled() {
		return enabled;
	}

	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}

	public ArrayList<Gateway> getGateways() {
		return gateways;
	}

	public void setGateways(ArrayList<Gateway> gateways) {
		this.gateways = gateways;
	}

	@Override
	public String toString() {
		return "DetachedREs [enabled=" + enabled + ", gateways=" + gateways + "]";
	}

}