package org.gcube.infrastructure.detachedres.detachedreslibrary.shared.re;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Calendar;

/**
 * 
 * @author Giancarlo Panichi
 *
 */
public class VRE implements Serializable {

	private static final long serialVersionUID = 2238683459962419017L;
	private String scope;
	private String name;
	private String description;
	private ArrayList<String> managers;
	private Calendar startDate;
	private Calendar endDate;
	private String catalogUrl;

	public VRE() {
		super();
	}

	public VRE(String scope, String name) {
		super();
		this.scope = scope;
		this.name = name;
	}

	public VRE(String scope, String name, String description) {
		super();
		this.scope = scope;
		this.name = name;
		this.description = description;
	}

	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public ArrayList<String> getManagers() {
		return managers;
	}

	public void setManagers(ArrayList<String> managers) {
		this.managers = managers;
	}

	public Calendar getStartDate() {
		return startDate;
	}

	public void setStartDate(Calendar startDate) {
		this.startDate = startDate;
	}

	public Calendar getEndDate() {
		return endDate;
	}

	public void setEndDate(Calendar endDate) {
		this.endDate = endDate;
	}

	public String getCatalogUrl() {
		return catalogUrl;
	}

	public void setCatalogUrl(String catalogUrl) {
		this.catalogUrl = catalogUrl;
	}

	@Override
	public String toString() {
		return "VRE [scope=" + scope + ", name=" + name + ", description=" + description + ", managers=" + managers
				+ ", startDate=" + startDate + ", endDate=" + endDate + ", catalogUrl=" + catalogUrl + "]";
	}

}